<?php
namespace Controller;

use Zeedhi\Framework\Report\ReportService;
use Zeedhi\Framework\DTO;

class CustomizationFilesReports extends \Zeedhi\Framework\Controller\Report {

    protected $entityManager;
    protected $qr2Strategy;
    protected $newCode;
    protected $environment;
    protected $connection;
    protected $dataSourceManager;


    public function __construct($reportService, $entityManager, $qr2Strategy, $dataSourceManager) {

        $this->entityManager       = $entityManager;
        $this->qr2Strategy         = $qr2Strategy;
        $this->reportService       = $reportService;
        $this->dataSourceManager   = $dataSourceManager;
    }

    protected $reportMapping = array (
        'FAS00510' =>
            array (
                'strategy' => 'QR2',
                'parameterMapping' =>
                    array (
                        "LISTA_FILI" => "P_NRLISTA",
                        "LISTA_TRAB" => "P_NRTRABGERAPERS",
                        "CDCLIENTE" =>"P_CDCLIENTE"
                    )
            )
    );
}